#include <config.h>			/* private file */

#if defined(HAVE_CTYPE_H)
#include <ctype.h>
#endif

#if defined(HAVE_STDIO_H)
#include <stdio.h>
#endif

#if defined(HAVE_STRING_H)
#include <string.h>
#endif

#include <stdc.h>			/* private file */
#include <boolean.h>			/* private file */
#include <regexp.h>			/* private file */

int	main ARGS((void));

int
main(VOID_ARG)
{
    char reg[132];
    char *ireg;
    char str[132];
    char *match;
    char matstr[132];
    const char *result;
    char c;

    re_strncmp = strncmp;

    set_isidchar("");

    while (1) {
	printf ("\nexpr: ");
	if (scanf ("%s", reg) == 0)
	    break;			/* here's the loop exit */
	ireg = convexp(reg);
	match = ireg;
	while(*match) {
	    switch (*match) {

	    case '\\':
	    case '(':
	    case ')':
	    case '|':
		printf ("%c", *match);
		break;

	    default:
		if (isalnum(*match))
		    printf("%c", *match);
		else
		    printf ("<%03o>", *match);
		break;
	    }
	    match++;
	}
	printf("\n");
	getchar();
	while(1) {
	    printf ("string: ");
	    match = str;
	    while ((c = getchar()) != '\n')
		*match++ = c;
	    *match = 0;
	    if (str[0] == '#')
		break;
	    matstr[0] = 0;
	    Str_Start = str;
	    _escaped = FALSE;
	    result = expmatch (str, ireg, (const char**)NULL, matstr);
	    if (result == (const char*)NULL)
		printf ("FAILED\n");
	    else
		printf ("match\nmatstr = %s\n", matstr);
	}

    }
    return (0);
}
